VAGRANT_RUN = cd $(ENV_DIR) && vagrant
SSH_PRIVATE_KEY = $(HOME)/.vagrant.d/insecure_private_key
SSH_USER = vagrant

create:
	sudo mkdir -p /etc/vbox
	sudo touch /etc/vbox/networks.conf
	grep -Fxq "* 192.168.33.0/24" /etc/vbox/networks.conf || sudo sh -c 'echo "* 192.168.33.0/24\n" >> /etc/vbox/networks.conf' 
	@$(VAGRANT_RUN) up

delete:
	@$(VAGRANT_RUN) destroy -f

ssh-manager:
	@$(VAGRANT_RUN) ssh manager

ssh-agent1:
	@$(VAGRANT_RUN) ssh agent1

ssh-agent2:
	@$(VAGRANT_RUN) ssh agent2

ssh-evidence-collector:
	@$(VAGRANT_RUN) ssh evidence-collector

ssh-clouditor:
	@$(VAGRANT_RUN) ssh clouditor

provision-evidence-collector:
	@ANSIBLE_HOST_KEY_CHECKING=False ansible-playbook $(ANSIBLE_ARGS) $(ANSIBLE_DIR)/provision-evidence-collector.yml

provision-clouditor:
	@ANSIBLE_HOST_KEY_CHECKING=False ansible-playbook $(ANSIBLE_ARGS) $(ANSIBLE_DIR)/provision-clouditor.yml

logs-evidence-collector:
	@$(VAGRANT_RUN) ssh -c "docker logs --tail 100 -f evidence-collector" evidence-collector

logs-clouditor:
	@$(VAGRANT_RUN) ssh -c "tail -f /var/log/clouditor.log" clouditor
